# PSF-LoginServer - master - net.psforever.objects.zones.ZoneInfo
PSF - LoginServer - master - net.psforever.objects.zones.ZoneInfo
Keywords: PSF LoginServer master net.psforever.objects.zones.ZoneInfo

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package zones
  Definition Classes
    objects
-  package blockmap
  Definition Classes
    zones
- ActivityReport
- HotSpotInfo
- InteractsWithZone
- MapEnvironment
- MapInfo
- MapScale
- SOI
- SphereOfInfluenceActor
- Zone
- ZoneAware
- ZoneDeployableActor
- ZoneGroundActor
- ZoneHotSpotDisplay
- ZoneHotSpotHistory
- ZoneHotSpotProjector
- ZoneInfo
- ZoneInteraction
- ZoneMap
- ZonePopulationActor
- ZoneVehicleActor
- Zoning

o

net.psforever.objects.zones

# ZoneInfo 

###
Companion class ZoneInfo

#### case object ZoneInfo extends IntEnum[ZoneInfo] with Product with Serializable

Source
  ZoneInfo.scala

Linear Supertypes
Serializable, Product, Equals, IntEnum[ZoneInfo], ValueEnum[Int, ZoneInfo], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ZoneInfo
2. Serializable
3. Product
4. Equals
5. IntEnum
6. ValueEnum
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  def findName(name: String): ZoneInfo
10.  def findNameOpt(name: String): Option[ZoneInfo]
11.  macro def findValues: IndexedSeq[ZoneInfo]
    Attributes
      protected
    Definition Classes
      IntEnum
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def productElementName(n: Int): String
    Definition Classes
      Product
18.  def productElementNames: Iterator[String]
    Definition Classes
      Product
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  val values: IndexedSeq[ZoneInfo]
    Definition Classes
      ZoneInfo → ValueEnum
21.  final lazy val valuesToEntriesMap: Map[Int, ZoneInfo]
    Definition Classes
      ValueEnum
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
25.  def withValue(i: Int): ZoneInfo
    Definition Classes
      ValueEnum
    Annotations
      @SuppressWarnings()
26.  def withValueEither(i: Int): Either[NoSuchMember[Int, ValueEnumEntry[Int]], ZoneInfo]
    Definition Classes
      ValueEnum
27.  def withValueOpt(i: Int): Option[ZoneInfo]
    Definition Classes
      ValueEnum
28.  case object Adlivun extends ZoneInfo with Product with Serializable
29.  case object Amerish extends ZoneInfo with Product with Serializable
30.  case object Annwn extends ZoneInfo with Product with Serializable
31.  case object Ascension extends ZoneInfo with Product with Serializable
32.  case object Byblos extends ZoneInfo with Product with Serializable
33.  case object Ceryshen extends ZoneInfo with Product with Serializable
34.  case object Cyssor extends ZoneInfo with Product with Serializable
35.  case object Desolation extends ZoneInfo with Product with Serializable
36.  case object Drugaskan extends ZoneInfo with Product with Serializable
37.  case object Esamir extends ZoneInfo with Product with Serializable
38.  case object Extinction extends ZoneInfo with Product with Serializable
39.  case object Forseral extends ZoneInfo with Product with Serializable
40.  case object Hossin extends ZoneInfo with Product with Serializable
41.  case object Hunhau extends ZoneInfo with Product with Serializable
42.  case object Ishundar extends ZoneInfo with Product with Serializable
43.  case object NcSanctuary extends ZoneInfo with Product with Serializable
44.  case object Nexus extends ZoneInfo with Product with Serializable
45.  case object Oshur extends ZoneInfo with Product with Serializable
46.  case object Searhus extends ZoneInfo with Product with Serializable
47.  case object Solsar extends ZoneInfo with Product with Serializable
48.  case object Supai extends ZoneInfo with Product with Serializable
49.  case object TrSanctuary extends ZoneInfo with Product with Serializable
50.  case object VsSanctuary extends ZoneInfo with Product with Serializable
51.  case object tzconc extends ZoneInfo with Product with Serializable
52.  case object tzcotr extends ZoneInfo with Product with Serializable
53.  case object tzcovs extends ZoneInfo with Product with Serializable
54.  case object tzdrnc extends ZoneInfo with Product with Serializable
55.  case object tzdrtr extends ZoneInfo with Product with Serializable
56.  case object tzdrvs extends ZoneInfo with Product with Serializable
57.  case object tzshnc extends ZoneInfo with Product with Serializable
58.  case object tzshtr extends ZoneInfo with Product with Serializable
59.  case object tzshvs extends ZoneInfo with Product with Serializable

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IntEnum[ZoneInfo]

### Inherited from ValueEnum[Int, ZoneInfo]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped